ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.CmmToAsm.Wasm.FromCmm

Synopsis

- alignmentFromWordType :: WasmTypeTag w -> Alignment
- globalInfoFromCmmGlobalReg :: WasmTypeTag w -> GlobalReg -> Maybe GlobalInfo
- supportedCmmGlobalRegs :: [GlobalReg]
- onCmmGroup :: RawCmmGroup -> WasmCodeGenM w ()

# Documentation

alignmentFromWordType :: WasmTypeTag w -> Alignment Source #

Calculate the natural alignment size given the platform word type.

globalInfoFromCmmGlobalReg :: WasmTypeTag w -> GlobalReg -> Maybe GlobalInfo Source #

supportedCmmGlobalRegs :: [GlobalReg] Source #

onCmmGroup :: RawCmmGroup -> WasmCodeGenM w () Source #

Invoked for each `RawCmmGroup`.